Bug 772078 - Provide native systemd service
Summary: Provide native systemd service
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dahdi-tools
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 751869
TreeView+ depends on / blocked
 
Reported: 2012-01-05 21:37 UTC by Jóhann B. Guðmundsson
Modified: 2014-05-26 09:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-26 09:42:42 UTC


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2012-01-05 21:37:17 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2012-01-05 21:42:45 UTC
Hum.. 

Wondering what's the best way to proceed with this one. 

From the looks it this only loads and configures modules which afaik should be done automatically these days ( and unloading them is frown upon ) and "dahdihpec_enable" does not seem to be installed nor available in the distribution? ( yum whatprovides yields nothing )

Comment 2 Jeffrey C. Ollie 2012-01-05 21:52:44 UTC
Yeah, this package isn't the best...  I had hoped that upstream would have merged the kernel modules into the mainline kernel but they haven't been working very hard on that.  I don't even have any working hardware to test with (well I have some hardware but I have no need/desire to pull it out of storage and try to do anything with it).

Funnily enough a discussion started recently on the upstream development mailing list about getting the drivers mainlined...

Comment 3 Jóhann B. Guðmundsson 2012-01-05 22:27:14 UTC
Could you add a link to that upstream discussion here on this bug reports for referencing

Comment 5 Anthony Messina 2012-03-20 04:19:56 UTC
(In reply to comment #2)
> working very hard on that.  I don't even have any working hardware to test with
> (well I have some hardware but I have no need/desire to pull it out of storage
> and try to do anything with it).

I have two servers each using analog DAHDI cards, one wctdm24xxp, and one wctdm, that I could probably provide a limited amount of testing on, if it would help spur the transition to systemd.

Comment 6 Fedora End Of Life 2013-04-03 15:11:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Jóhann B. Guðmundsson 2014-05-26 09:42:42 UTC
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.